<html>
<head>
<title>OGRE: OgreTexture.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreTexture.h File Reference</h1><code>#include &quot;<a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreHardwareBuffer_8h-source.html">OgreHardwareBuffer.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreResource_8h-source.html">OgreResource.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreImage_8h-source.html">OgreImage.h</a>&quot;</code><br>

<p>
<a href="OgreTexture_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Abstract class representing a <a class="el" href="classOgre_1_1Texture.html" title="Abstract class representing a Texture resource.">Texture</a> resource.  <a href="classOgre_1_1Texture.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TexturePtr.html">Ogre::TexturePtr</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Specialisation of <a class="el" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is...">SharedPtr</a> to allow <a class="el" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is...">SharedPtr</a> to be assigned to <a class="el" href="classOgre_1_1TexturePtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to TexturePtr.">TexturePtr</a>.  <a href="classOgre_1_1TexturePtr.html#_details">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#f140ec886884a864abc74a7556f8bf67">Ogre::TextureUsage</a> { <br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#f140ec886884a864abc74a7556f8bf67375858a86cadfb2a4d20fe837fdb85b3">Ogre::TU_STATIC</a> =  HardwareBuffer::HBU_STATIC, 
<a class="el" href="namespaceOgre.html#f140ec886884a864abc74a7556f8bf67d18031f12c4bd22f73b09a4536e99df5">Ogre::TU_DYNAMIC</a> =  HardwareBuffer::HBU_DYNAMIC, 
<a class="el" href="namespaceOgre.html#f140ec886884a864abc74a7556f8bf67f7b0d53154ffc7c389404dc51c792655">Ogre::TU_WRITE_ONLY</a> =  HardwareBuffer::HBU_WRITE_ONLY, 
<a class="el" href="namespaceOgre.html#f140ec886884a864abc74a7556f8bf672b9d0399c32f2098957ebc089c337e55">Ogre::TU_STATIC_WRITE_ONLY</a> =  HardwareBuffer::HBU_STATIC_WRITE_ONLY, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#f140ec886884a864abc74a7556f8bf67c26eda030d21e0491461edea89394493">Ogre::TU_DYNAMIC_WRITE_ONLY</a> =  HardwareBuffer::HBU_DYNAMIC_WRITE_ONLY, 
<a class="el" href="namespaceOgre.html#f140ec886884a864abc74a7556f8bf6779920182637c94fabcf834950096483f">Ogre::TU_DYNAMIC_WRITE_ONLY_DISCARDABLE</a> =  HardwareBuffer::HBU_DYNAMIC_WRITE_ONLY_DISCARDABLE, 
<a class="el" href="namespaceOgre.html#f140ec886884a864abc74a7556f8bf677c14cc95a59af42a63eb33fc9de05d27">Ogre::TU_AUTOMIPMAP</a> =  0x100, 
<a class="el" href="namespaceOgre.html#f140ec886884a864abc74a7556f8bf67e1661d9846a9b4e83c2e4cd99fc6ad9d">Ogre::TU_RENDERTARGET</a> =  0x200, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#f140ec886884a864abc74a7556f8bf67caa45fe77d1becf4c5bd353bc2aa764b">Ogre::TU_DEFAULT</a> =  TU_AUTOMIPMAP | TU_STATIC_WRITE_ONLY
<br>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Enum identifying the texture usage.  <a href="namespaceOgre.html#f140ec886884a864abc74a7556f8bf67">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#e50520af6377ff8184cf79125cb9c4d7">Ogre::TextureType</a> { <a class="el" href="namespaceOgre.html#e50520af6377ff8184cf79125cb9c4d718bf88d3a14ba28d6602689e398416bd">Ogre::TEX_TYPE_1D</a> =  1, 
<a class="el" href="namespaceOgre.html#e50520af6377ff8184cf79125cb9c4d7f1f732018f5a2a7d35233e2ceeb4ee0e">Ogre::TEX_TYPE_2D</a> =  2, 
<a class="el" href="namespaceOgre.html#e50520af6377ff8184cf79125cb9c4d7a80e2545e817591a0b4547f987987d43">Ogre::TEX_TYPE_3D</a> =  3, 
<a class="el" href="namespaceOgre.html#e50520af6377ff8184cf79125cb9c4d7e295fe0fa26623b66cc023f462962344">Ogre::TEX_TYPE_CUBE_MAP</a> =  4
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Enum identifying the texture type.  <a href="namespaceOgre.html#e50520af6377ff8184cf79125cb9c4d7">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#528ce4f4c67c9b043e1f0b8bb3cdf255">Ogre::TextureMipmap</a> { <a class="el" href="namespaceOgre.html#528ce4f4c67c9b043e1f0b8bb3cdf2555a6b498127bf3fa219dadfdaaa50b9dd">Ogre::MIP_UNLIMITED</a> =  0x7FFFFFFF, 
<a class="el" href="namespaceOgre.html#528ce4f4c67c9b043e1f0b8bb3cdf25556eea45719de5246f4ea9b8e8b54921d">Ogre::MIP_DEFAULT</a> =  -1
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Enum identifying special mipmap numbers.  <a href="namespaceOgre.html#528ce4f4c67c9b043e1f0b8bb3cdf255">More...</a><br></td></tr>
</table>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:59 2008
</p>
</body>
</html>
